Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Parser_Context Class Reference

`#include <ParserContext.h>`

Collaboration diagram for ACEXML_Parser_Context:

[legend]
List of all members.

## Public Methods
| ACEXML_Parser_Context ()
| Default constructor.
| ACEXML_Parser_Context (ACEXML_InputSource *instream, ACEXML_LocatorImpl *locator)
| Constructor which initializes the context.
int | operator!= (const ACEXML_Parser_Context &src)
| Comparison operator.
virtual | ~ACEXML_Parser_Context ()
| Destructor.
void | reset (void)
virtual ACEXML_InputSource * | getInputSource (void)
| Get the underlying input source.
virtual ACEXML_LocatorImpl * | getLocator (void)
| Get the underlying locator.
virtual void | setInputSource (ACEXML_InputSource *ip)
| Set the underlying input source.
virtual void | setLocator (ACEXML_LocatorImpl *locator)
| Set the underlying locator.
## Private Methods
| ACEXML_Parser_Context (const ACEXML_Parser_Context &src)
| Copy constructor.
ACEXML_Parser_Context & | operator= (const ACEXML_Parser_Context &src)
| Assignment operator.
## Private Attributes
ACEXML_InputSource * | instream_
| Current input char stream.
ACEXML_LocatorImpl * | locator_
| Current Locator which provides line no., column no. systemId and publicId.

## Constructor & Destructor Documentation

ACEXML_INLINE ACEXML_Parser_Context::ACEXML_Parser_Context | ( |  | ) |

| Default constructor.

ACEXML_INLINE ACEXML_Parser_Context::ACEXML_Parser_Context | ( | ACEXML_InputSource * | instream,
|  | ACEXML_LocatorImpl * | locator
| ) |

| Constructor which initializes the context.

ACEXML_Parser_Context::~ACEXML_Parser_Context | ( |  | ) | `[virtual]`

| Destructor.

ACEXML_INLINE ACEXML_Parser_Context::ACEXML_Parser_Context | ( | const ACEXML_Parser_Context & | src | ) | `[private]`

| Copy constructor.

## Member Function Documentation

ACEXML_INLINE ACEXML_InputSource * ACEXML_Parser_Context::getInputSource | ( | void |  | ) | `[virtual]`

| Get the underlying input source.

ACEXML_INLINE ACEXML_LocatorImpl * ACEXML_Parser_Context::getLocator | ( | void |  | ) | `[virtual]`

| Get the underlying locator.

ACEXML_INLINE int ACEXML_Parser_Context::operator!= | ( | const ACEXML_Parser_Context & | src | ) |

| Comparison operator.

ACEXML_INLINE ACEXML_Parser_Context & ACEXML_Parser_Context::operator= | ( | const ACEXML_Parser_Context & | src | ) | `[private]`

| Assignment operator.

ACEXML_INLINE void ACEXML_Parser_Context::reset | ( | void |  | ) |

| Reset the parser context. This does not free up the memory. Only sets it to zero. Meant to be called after a context is pushed on to a stack.

ACEXML_INLINE void ACEXML_Parser_Context::setInputSource | ( | ACEXML_InputSource * | ip | ) | `[virtual]`

| Set the underlying input source.

ACEXML_INLINE void ACEXML_Parser_Context::setLocator | ( | ACEXML_LocatorImpl * | locator | ) | `[virtual]`

| Set the underlying locator.

## Member Data Documentation

ACEXML_InputSource* ACEXML_Parser_Context::instream_`[private]`

| Current input char stream.

ACEXML_LocatorImpl* ACEXML_Parser_Context::locator_`[private]`

| Current Locator which provides line no., column no. systemId and publicId.

The documentation for this class was generated from the following files:

- ParserContext.h
- ParserContext.cpp
- ParserContext.inl